' This class is "generated" and will be overwritten.
' Your customizations should be made in PersonalTitleRecord.vb

Imports System.Data.SqlTypes
Imports BaseClasses
Imports BaseClasses.Data
Imports BaseClasses.Data.SqlProvider

Namespace Persons.Business

''' <summary>
''' The generated superclass for the <see cref="PersonalTitleRecord"></see> class.
''' </summary>
''' <remarks>
''' This class is not intended to be instantiated directly.  To obtain an instance of this class, 
''' use the methods of the <see cref="PersonalTitleTable"></see> class.
''' </remarks>
''' <seealso cref="PersonalTitleTable"></seealso>
''' <seealso cref="PersonalTitleRecord"></seealso>

<Serializable()> Public Class BasePersonalTitleRecord
	Inherits PrimaryKeyRecord
	

	Public Shared Shadows ReadOnly TableUtils As PersonalTitleTable = PersonalTitleTable.Instance

	' Constructors
 
	Protected Sub New()
		MyBase.New(TableUtils)
	End Sub

	Protected Sub New(ByVal record As PrimaryKeyRecord)
		MyBase.New(record, TableUtils)
	End Sub
	
	'Evaluates Initialize when->Inserting record formulas specified at the data access layer
    Public Overridable Sub PersonalTitleRecord_InsertingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.InsertingRecord
        'Apply Initialize->Inserting record formula only if validation is successful.
        	        Dim PersonalTitleRec As PersonalTitleRecord = CType(sender,PersonalTitleRecord)
        Validate_Inserting()
        If Not PersonalTitleRec Is Nothing AndAlso Not PersonalTitleRec.IsReadOnly Then
                End If
    End Sub

	'Evaluates Initialize when->Updating record formulas specified at the data access layer
    Public Overridable Sub PersonalTitleRecord_UpdatingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.UpdatingRecord
        'Apply Initialize->Updating record formula only if validation is successful.
        	        Dim PersonalTitleRec As PersonalTitleRecord = CType(sender,PersonalTitleRecord)
        Validate_Updating()
        If Not PersonalTitleRec Is Nothing AndAlso Not PersonalTitleRec.IsReadOnly Then
                End If
    End Sub
    
    'Evaluates Initialize when->Reading record formulas specified at the data access layer
    Public Overridable Sub PersonalTitleRecord_ReadRecord(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.ReadRecord
        'Apply Initialize->Reading record formula only if validation is successful.
        	        Dim PersonalTitleRec As PersonalTitleRecord = CType(sender,PersonalTitleRecord)
        If Not PersonalTitleRec Is Nothing AndAlso Not PersonalTitleRec.IsReadOnly Then
                End If
    End Sub
    
   'Evaluates Validate when->Inserting formulas specified at the data access layer
   Public Overridable Sub Validate_Inserting ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
	
	'Evaluates Validate when->Updating formulas specified at the data access layer
   Public Overridable Sub Validate_Updating ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
 
	Public Overridable Function EvaluateFormula(ByVal formula As String, Optional ByVal dataSourceForEvaluate As BaseClasses.Data.BaseRecord = Nothing, Optional ByVal format As String = Nothing) As String

		Dim e As Data.BaseFormulaEvaluator = New Data.BaseFormulaEvaluator()

            ' All variables referred to in the formula are expected to be
            ' properties of the DataSource.  For example, referring to
            ' UnitPrice as a variable will refer to DataSource.UnitPrice
            e.DataSource = dataSourceForEvaluate

            Dim resultObj As Object = e.Evaluate(formula)
            If resultObj Is Nothing Then
                Return ""
            End If
        	Return resultObj.ToString()
	End Function







#Region "Convenience methods to get/set values of fields"

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.id field.
	''' </summary>
	Public Function Getid0Value() As ColumnValue
		Return Me.GetValue(TableUtils.id0Column)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.id field.
	''' </summary>
	Public Function Getid0FieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.id0Column).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.TitleDate field.
	''' </summary>
	Public Function GetTitleDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.TitleDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.TitleDate field.
	''' </summary>
	Public Function GetTitleDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.TitleDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.TitleDate field.
	''' </summary>
	Public Sub SetTitleDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.TitleDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.TitleDate field.
	''' </summary>
	Public Sub SetTitleDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.TitleDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.TitleDate field.
	''' </summary>
	Public Sub SetTitleDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.TitleDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.Ass field.
	''' </summary>
	Public Function GetAssValue() As ColumnValue
		Return Me.GetValue(TableUtils.AssColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.Ass field.
	''' </summary>
	Public Function GetAssFieldValue() As Byte
		Return CType(Me.GetValue(TableUtils.AssColumn).ToByte(), Byte)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Ass field.
	''' </summary>
	Public Sub SetAssFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.AssColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Ass field.
	''' </summary>
	Public Sub SetAssFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.AssColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Ass field.
	''' </summary>
	Public Sub SetAssFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.AssColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Ass field.
	''' </summary>
	Public Sub SetAssFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.AssColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Ass field.
	''' </summary>
	Public Sub SetAssFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.AssColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.Title field.
	''' </summary>
	Public Function GetTitleValue() As ColumnValue
		Return Me.GetValue(TableUtils.TitleColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.Title field.
	''' </summary>
	Public Function GetTitleFieldValue() As String
		Return CType(Me.GetValue(TableUtils.TitleColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Title field.
	''' </summary>
	Public Sub SetTitleFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.TitleColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Title field.
	''' </summary>
	Public Sub SetTitleFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.TitleColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.SkillNo field.
	''' </summary>
	Public Function GetSkillNoValue() As ColumnValue
		Return Me.GetValue(TableUtils.SkillNoColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.SkillNo field.
	''' </summary>
	Public Function GetSkillNoFieldValue() As String
		Return CType(Me.GetValue(TableUtils.SkillNoColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.SkillNo field.
	''' </summary>
	Public Sub SetSkillNoFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.SkillNoColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.SkillNo field.
	''' </summary>
	Public Sub SetSkillNoFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SkillNoColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.TitleRank field.
	''' </summary>
	Public Function GetTitleRankValue() As ColumnValue
		Return Me.GetValue(TableUtils.TitleRankColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.TitleRank field.
	''' </summary>
	Public Function GetTitleRankFieldValue() As String
		Return CType(Me.GetValue(TableUtils.TitleRankColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.TitleRank field.
	''' </summary>
	Public Sub SetTitleRankFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.TitleRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.TitleRank field.
	''' </summary>
	Public Sub SetTitleRankFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.TitleRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.Command field.
	''' </summary>
	Public Function GetCommandValue() As ColumnValue
		Return Me.GetValue(TableUtils.CommandColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.Command field.
	''' </summary>
	Public Function GetCommandFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CommandColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Command field.
	''' </summary>
	Public Sub SetCommandFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CommandColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Command field.
	''' </summary>
	Public Sub SetCommandFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CommandColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.CommandDate field.
	''' </summary>
	Public Function GetCommandDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.CommandDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.CommandDate field.
	''' </summary>
	Public Function GetCommandDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.CommandDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.CommandDate field.
	''' </summary>
	Public Sub SetCommandDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CommandDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.CommandDate field.
	''' </summary>
	Public Sub SetCommandDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.CommandDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.CommandDate field.
	''' </summary>
	Public Sub SetCommandDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CommandDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.Dept field.
	''' </summary>
	Public Function GetDeptValue() As ColumnValue
		Return Me.GetValue(TableUtils.DeptColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalTitle_.Dept field.
	''' </summary>
	Public Function GetDeptFieldValue() As String
		Return CType(Me.GetValue(TableUtils.DeptColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Dept field.
	''' </summary>
	Public Sub SetDeptFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DeptColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalTitle_.Dept field.
	''' </summary>
	Public Sub SetDeptFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DeptColumn)
	End Sub



#End Region

#Region "Convenience methods to get field names"

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.id field.
	''' </summary>
	Public Property id0() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.id0Column).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.id0Column)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property id0Specified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.id0Column)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property id0Default() As String
        Get
            Return TableUtils.id0Column.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.PersonalId field.
	''' </summary>
	Public Property PersonalId() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalIdDefault() As String
        Get
            Return TableUtils.PersonalIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.TitleDate field.
	''' </summary>
	Public Property TitleDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.TitleDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.TitleDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property TitleDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.TitleDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property TitleDateDefault() As String
        Get
            Return TableUtils.TitleDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.Ass field.
	''' </summary>
	Public Property Ass() As Byte
		Get 
			Return CType(Me.GetValue(TableUtils.AssColumn).ToByte(), Byte)
		End Get
		Set (ByVal val As Byte) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.AssColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property AssSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.AssColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property AssDefault() As String
        Get
            Return TableUtils.AssColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.Title field.
	''' </summary>
	Public Property Title() As String
		Get 
			Return CType(Me.GetValue(TableUtils.TitleColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.TitleColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property TitleSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.TitleColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property TitleDefault() As String
        Get
            Return TableUtils.TitleColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.SkillNo field.
	''' </summary>
	Public Property SkillNo() As String
		Get 
			Return CType(Me.GetValue(TableUtils.SkillNoColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.SkillNoColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property SkillNoSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.SkillNoColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property SkillNoDefault() As String
        Get
            Return TableUtils.SkillNoColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.TitleRank field.
	''' </summary>
	Public Property TitleRank() As String
		Get 
			Return CType(Me.GetValue(TableUtils.TitleRankColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.TitleRankColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property TitleRankSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.TitleRankColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property TitleRankDefault() As String
        Get
            Return TableUtils.TitleRankColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.Command field.
	''' </summary>
	Public Property Command() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CommandColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CommandColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CommandSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CommandColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CommandDefault() As String
        Get
            Return TableUtils.CommandColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.CommandDate field.
	''' </summary>
	Public Property CommandDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.CommandDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.CommandDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CommandDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CommandDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CommandDateDefault() As String
        Get
            Return TableUtils.CommandDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalTitle_.Dept field.
	''' </summary>
	Public Property Dept() As String
		Get 
			Return CType(Me.GetValue(TableUtils.DeptColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.DeptColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DeptSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DeptColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DeptDefault() As String
        Get
            Return TableUtils.DeptColumn.DefaultValue
        End Get
    End Property



#End Region

End Class
End Namespace
